# Lite::Regulations

[![Gem Version](https://badge.fury.io/rb/lite-regulations.svg)](http://badge.fury.io/rb/lite-regulations)
[![Build Status](https://travis-ci.org/drexed/lite-regulations.svg?branch=master)](https://travis-ci.org/drexed/lite-regulations)

Lite::Regulations is a collection of mixins to control the state of a database record.

**NOTE:** If you are coming from `ActiveRegulation`, please read the [port](#port) section.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'lite-regulations'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install lite-regulations

## Table of Contents

* [Regulators](#regulators)
* [Port](#port)

## Regulators

* [Activation](https://github.com/drexed/lite-regulations/blob/master/docs/ACTIVATION.md)
* [Containment](https://github.com/drexed/lite-regulations/blob/master/docs/CONTAINMENT.md)
* [Expiration](https://github.com/drexed/lite-regulations/blob/master/docs/EXPIRATION.md)
* [Quarantine](https://github.com/drexed/lite-regulations/blob/master/docs/QUARANTINE.md)
* [Suspension](https://github.com/drexed/lite-regulations/blob/master/docs/SUSPENSION.md)
* [Visibility](https://github.com/drexed/lite-regulations/blob/master/docs/VISIBILITY.md)

## Port

`Lite::Regulations` is a compatible port of [ActiveRegulation](https://github.com/drexed/active_regulation).

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/lite-regulations. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Lite::Regulations project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/lite-regulations/blob/master/CODE_OF_CONDUCT.md).
